Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.color.theory
Class ColorTheoryRegistry

    java.lang.Object
      toxi.color.theory.ColorTheoryRegistry

    public class ColorTheoryRegistry

extends java.lang.Object

Registry & object factory for default `ColorTheoryStrategy` implementations as well as custom ones.

Field Summary
`static ColorTheoryStrategy` | `ANALOGOUS`
`static ColorTheoryStrategy` | `COMPLEMENTARY`
`static ColorTheoryStrategy` | `COMPOUND`
`static ColorTheoryStrategy` | `LEFT_SPLIT_COMPLEMENTARY`
`static ColorTheoryStrategy` | `MONOCHROME`
`static ColorTheoryStrategy` | `RIGHT_SPLIT_COMPLEMENTARY`
`static ColorTheoryStrategy` | `SINGLE_COMPLEMENT`
`static ColorTheoryStrategy` | `SPLIT_COMPLEMENTARY`
`static ColorTheoryStrategy` | `TETRAD`
`static ColorTheoryStrategy` | `TRIAD`

Constructor Summary
`ColorTheoryRegistry()`

Method Summary
`static java.util.ArrayList<java.lang.String>` | `getRegisteredNames()`
`static java.util.ArrayList<ColorTheoryStrategy>` | `getRegisteredStrategies()`
`static ColorTheoryStrategy` | `getStrategyForName(java.lang.String id)`
`static void` | `registerImplementation(ColorTheoryStrategy impl)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLE_COMPLEMENT

    public static final ColorTheoryStrategy SINGLE_COMPLEMENT

### COMPLEMENTARY

    public static final ColorTheoryStrategy COMPLEMENTARY

### SPLIT_COMPLEMENTARY

    public static final ColorTheoryStrategy SPLIT_COMPLEMENTARY

### LEFT_SPLIT_COMPLEMENTARY

    public static final ColorTheoryStrategy LEFT_SPLIT_COMPLEMENTARY

### RIGHT_SPLIT_COMPLEMENTARY

    public static final ColorTheoryStrategy RIGHT_SPLIT_COMPLEMENTARY

### ANALOGOUS

    public static final ColorTheoryStrategy ANALOGOUS

### MONOCHROME

    public static final ColorTheoryStrategy MONOCHROME

### TRIAD

    public static final ColorTheoryStrategy TRIAD

### TETRAD

    public static final ColorTheoryStrategy TETRAD

### COMPOUND

    public static final ColorTheoryStrategy COMPOUND

Constructor Detail

### ColorTheoryRegistry

    public ColorTheoryRegistry()

Method Detail

### getRegisteredNames

    public static java.util.ArrayList<java.lang.String> getRegisteredNames()

### getRegisteredStrategies

    public static java.util.ArrayList<ColorTheoryStrategy> getRegisteredStrategies()

### getStrategyForName

    public static ColorTheoryStrategy getStrategyForName(java.lang.String id)

### registerImplementation

    public static void registerImplementation(ColorTheoryStrategy impl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD